Create menu item
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/web/menu \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"icon": "<string>",
"url": "<string>"
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/web/menu"
payload = {
"title": "<string>",
"icon": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', icon: '<string>', url: '<string>'})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/web/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/web/menu",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'icon' => '<string>',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/web/menu"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/web/menu")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/web/menu")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"platform": "miniApp",
"is_published": true,
"has_changes": true,
"app_url": "<string>",
"settings": {
"brand_name": "<string>",
"open_button_name": "<string>",
"appearance": "system",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_type": "bot",
"support_text": "<string>",
"phone_login_enabled": true
},
"logo_url": "<string>",
"menu": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"profile": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"onboarding": [
{
"id": 123,
"title": "<string>",
"subtitle": "<string>",
"button_title": "<string>",
"image_url": "<string>",
"sort": 123
}
],
"favicon_url": "<string>",
"address": {
"web_handle": "<string>",
"custom_domain": "<string>",
"custom_domain_enabled": true
}
},
"item": {
"item_id": 123,
"section": "menu",
"type": "<string>"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Пункти меню
Створити пункт меню
Додає власний пункт у меню веб-платформи.
POST
/
api
/
v1
/
bot
/
{bot}
/
web
/
menu
Create menu item
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/web/menu \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"icon": "<string>",
"url": "<string>"
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/web/menu"
payload = {
"title": "<string>",
"icon": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', icon: '<string>', url: '<string>'})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/web/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/web/menu",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'icon' => '<string>',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/web/menu"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/web/menu")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/web/menu")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"platform": "miniApp",
"is_published": true,
"has_changes": true,
"app_url": "<string>",
"settings": {
"brand_name": "<string>",
"open_button_name": "<string>",
"appearance": "system",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_type": "bot",
"support_text": "<string>",
"phone_login_enabled": true
},
"logo_url": "<string>",
"menu": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"profile": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"onboarding": [
{
"id": 123,
"title": "<string>",
"subtitle": "<string>",
"button_title": "<string>",
"image_url": "<string>",
"sort": 123
}
],
"favicon_url": "<string>",
"address": {
"web_handle": "<string>",
"custom_domain": "<string>",
"custom_domain_enabled": true
}
},
"item": {
"item_id": 123,
"section": "menu",
"type": "<string>"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизації
API token from the Zenedu dashboard
Параметри шляху
Bot ID
Тіло
application/json